VME Intensity Monitor - Task #16530

Milestone # 16524 (New): Commission new toroid nodes at NML

Create NMLTRS3 startup script and build target
05/15/2017 01:57 PM - John Diamond

Status: Closed Start date:
Priority: Normal Due date:
Assignee: John Diamond % Done:

Category: Deploy & Config Estimated time:

Target version: Spent time:

05/15/2017

100%
2.00 hours
0.50 hour

Description

History

#1 - 05/15/2017 01:58 PM - John Diamond

- Tracker changed from Milestone to Task

#2 - 05/16/2017 06:33 PM - John Diamond

- Category set to Deploy & Config

- Status changed from New to Work in progress
- Assignee set to John Diamond

- % Done changed from 0 to 100

Created build target: MVME5500-nmltr3_64
Created startup script: nmI2tr3startup
Configured ADC for A16 base 0x1000
Toroid configuration:

#-—— ADD AND CONFIGURE MONITORS

addDcct ( adcId, ssdnCh, adcChannel, threshold );

——— threshold -128 to 127,
—-—— direction neg 0, pos 1,
——— droopCorSw off 0, on 1

HH H H = I

addAstaToroid( 0, 0, 0, 127, 0, 0 );
vmeintBBBReadoutEnable 0
vmeint ADCBBBGateModeEnable 0

e Created boot area:

/fecode-bd/vxworks_boot/fe/nmltr3

e |nstalled development-level release and nmitr3startup script to boot area

#3 - 07/11/2017 07:20 PM - John Diamond

- Status changed from Work in progress to Closed

11/01/2020

addAstaToroid ( adcId, ssdnCh, adcChannel, threshold, direction,

droopCorSw );
